package cn.com.qmth.examcloud.web.boot;

/**
 * 安全处理器
 *
 * @author WANGWEI
 * @date 2018年12月5日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */

public class BootSecurityManager {

	private static BootSecurityManager mgr;

	private static final Object LOCK = new Object();

	private String secretKey;

	private String active;

	/**
	 * 构造函数
	 */
	private BootSecurityManager() {
	}

	/**
	 * 获取单例
	 *
	 * @author WANGWEI
	 * @return
	 */
	public static BootSecurityManager getInstance() {
		if (null == mgr) {
			synchronized (LOCK) {
				if (null == mgr) {
					mgr = new BootSecurityManager();
				}
				return mgr;
			}
		} else {
			return mgr;
		}
	}

	public String getSecretKey() {
		return secretKey;
	}

	public void setSecretKey(String secretKey) {
		this.secretKey = secretKey;
	}

	public String getActive() {
		return active;
	}

	public void setActive(String active) {
		this.active = active;
	}

}
