package cn.com.qmth.examcloud.web.reports;

import java.io.File;
import java.io.FilenameFilter;

/**
 * 日志文件过滤器
 *
 * @author WANGWEI
 * @date 2018年11月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ReportFileFilter implements FilenameFilter {

	private Class<?> reportClass;

	/**
	 * 构造函数
	 *
	 * @param reportClass
	 */
	public ReportFileFilter(Class<?> reportClass) {
		super();
		this.reportClass = reportClass;
	}

	@Override
	public boolean accept(File dir, String name) {
		String regex = reportClass.getSimpleName() + "\\.\\d{12}\\.\\d+\\.txt";
		return name.matches(regex);
	}

}
