package cn.com.qmth.examcloud.web.support;

import cn.com.qmth.examcloud.web.cloud.api.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 状态响应实体
 *
 * @author WANGWEI
 * @date 2018年5月24日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class StatusResponse implements JsonSerializable {

	private static final long serialVersionUID = 8393074113722405560L;

	@ApiModelProperty(value = "响应编码", example = "B-001001", required = true)
	private String code;

	@ApiModelProperty(value = "响应描述", example = "密码错误", required = true)
	private String desc;

	@ApiModelProperty(value = "响应信息.当http响应码非200时,此节点内容为空", example = "", required = false)
	private Object content;

	/**
	 * 构造函数
	 *
	 */
	public StatusResponse() {
		super();
	}

	/**
	 * 构造函数
	 *
	 * @param responseStatus
	 * @param content
	 */
	public StatusResponse(ResponseStatus responseStatus, Object content) {
		super();
		this.code = responseStatus.getCode();
		this.desc = responseStatus.getDesc();
		this.content = content;
	}

	/**
	 * 构造函数
	 *
	 * @param responseStatus
	 */
	public StatusResponse(ResponseStatus responseStatus) {
		super();
		this.code = responseStatus.getCode();
		this.desc = responseStatus.getDesc();
	}

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	public StatusResponse(String code, String desc) {
		super();
		this.code = code;
		this.desc = desc;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public Object getContent() {
		return content;
	}

	public void setContent(Object content) {
		this.content = content;
	}

}
