package cn.com.qmth.examcloud.web.support;

import java.io.IOException;
import java.util.concurrent.TimeUnit;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.compress.utils.IOUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.util.DateUtil;
import cn.com.qmth.examcloud.commons.util.PropertiesUtil;
import cn.com.qmth.examcloud.web.interceptor.Seqlock;
import cn.com.qmth.examcloud.web.interceptor.SessionSeqlock;
import io.swagger.annotations.ApiOperation;

/**
 * 测试状态.勿修改或删除
 *
 * @author WANGWEI
 * @date 2018年8月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@RestController("System")
@RequestMapping
public class SystemController extends ControllerSupport {

	@Value("${$test}")
	private String test;

	@ApiOperation(value = "测试")
	@GetMapping()
	public String get() {
		log.debug("@Value   $test=" + test);
		log.debug("PropertiesUtil    $test=" + PropertiesUtil.getString("$test"));
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@PostMapping()
	public String post() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@PutMapping()
	public String put() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@DeleteMapping()
	public String delete() {
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "测试")
	@PutMapping("uploadFile")
	public String uploadFile(HttpServletRequest req, HttpServletResponse resp) {
		ServletInputStream in = null;
		try {
			in = req.getInputStream();
			IOUtils.copy(in, System.out);
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(in);
		}
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "@Seqlock 测试")
	@GetMapping("seqlock")
	@Seqlock
	public String seqlock() {
		cn.com.qmth.examcloud.commons.util.Util.sleep(TimeUnit.SECONDS, 1);
		return DateUtil.getNowISO();
	}

	@ApiOperation(value = "@SessionSeqlock 测试")
	@GetMapping("sessionSeqlock")
	@SessionSeqlock
	public String sessionSeqlock() {
		cn.com.qmth.examcloud.commons.util.Util.sleep(TimeUnit.SECONDS, 1);
		return DateUtil.getNowISO();
	}

}
